% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{set_speed}
\alias{set_speed}
\title{Set walk and bike speed}
\usage{
set_speed(r5r_core, speed, mode)
}
\arguments{
\item{r5r_core}{a rJava object to connect with R5 routing engine}

\item{speed}{A numeric representing the speed in km/h.}

\item{mode}{Either \code{"bike"} or \code{"walk"}.}
}
\description{
This function receives the walk and bike 'speed' inputs in Km/h
from routing functions above and converts them to meters per second, which is
then used to set these speed profiles in r5r JAR.
}
\seealso{
Other support functions: 
\code{\link{assert_points_input}()},
\code{\link{posix_to_string}()},
\code{\link{select_mode}()},
\code{\link{set_max_rides}()},
\code{\link{set_max_street_time}()},
\code{\link{set_n_threads}()},
\code{\link{set_verbose}()},
\code{\link{street_network_to_sf}()}
}
\concept{support functions}
